<?php
/**
 * Add CSS
 *
 * @return $output
 */
function nishiki_pro_css_tag() {
	$output = '';

	// Tag
	$nishiki_pro_tag_text_color             = esc_html( get_theme_mod( 'setting_' . NISHIKI_PRO_PREFIX_DESIGN . '_tag_text_color', '#222222' ) );
	$nishiki_pro_tag_background_color       = esc_html( get_theme_mod( 'setting_' . NISHIKI_PRO_PREFIX_DESIGN . '_tag_background_color', '#f5f5f5' ) );
	$nishiki_pro_tag_text_hover_color       = esc_html( get_theme_mod( 'setting_' . NISHIKI_PRO_PREFIX_DESIGN . '_tag_text_hover_color', '#444444' ) );
	$nishiki_pro_tag_background_hover_color = esc_html( get_theme_mod( 'setting_' . NISHIKI_PRO_PREFIX_DESIGN . '_tag_background_hover_color', '#f2f2f2' ) );
	if ( $nishiki_pro_tag_text_color ) {
		$output .= "
				.widget .tagcloud a,.wp-block-tag-cloud a{color:{$nishiki_pro_tag_text_color};}
			";
	}
	if ( $nishiki_pro_tag_background_color ) {
		$output .= "
				.widget .tagcloud a,.wp-block-tag-cloud a{background-color:{$nishiki_pro_tag_background_color};}
			";
	}
	if ( $nishiki_pro_tag_text_hover_color ) {
		$output .= "
				.widget .tagcloud a:hover,.wp-block-tag-cloud a:hover{color:{$nishiki_pro_tag_text_hover_color};}
			";
	}
	if ( $nishiki_pro_tag_background_hover_color ) {
		$output .= "
				.widget .tagcloud a:hover,.wp-block-tag-cloud a:hover{background-color:{$nishiki_pro_tag_background_hover_color};}
			";
	}

	return $output;
}
